AlliedModders

AlliedModders (https://forums.alliedmods.net/index.php)
-   Plugins (https://forums.alliedmods.net/forumdisplay.php?f=108)
-   -   Updater (https://forums.alliedmods.net/showthread.php?t=169095)

snelvuur 12-20-2011 05:34

Re: Updater
 
Maybe overkill, but if its on "notify only" would it not be possible to give a popup to root/normal admins that a update is "pending" ? and even with a option to update on map change or something like that? Then you can even have a popup (motd) that would show the changelog for that update before installing since that link can be in the update url.

resin 12-22-2011 22:02

Re: Updater
 
It's been a long time coming for a plugin like this, much much thanks! Now to browse for plugins that support it :)

snelvuur 12-24-2011 06:56

Re: Updater
 
I've updated to 1.4.1 but as far as i can tell if i do a sm exts list it still says file not found for curl.so and steamtools (but i have sockets) running 1.1.3 only 1 of the 3 is required no?

TnTSCS 12-24-2011 11:27

Re: Updater
 
same here, but I don't think it's a big deal

snelvuur 12-24-2011 11:41

Re: Updater
 
Well i like my output error free.. i could just install all 3 of them ;p

Dr. McKay 12-24-2011 14:56

Re: Updater
 
Quote:

Originally Posted by snelvuur (Post 1618796)
I've updated to 1.4.1 but as far as i can tell if i do a sm exts list it still says file not found for curl.so and steamtools (but i have sockets) running 1.1.3 only 1 of the 3 is required no?

That's correct. Only one of the three extensions is required.

snelvuur 12-24-2011 15:21

Re: Updater
 
@mckay: the issue is that it has found 1 and i dont want to see a error then for 2 missing.

Dr. McKay 12-24-2011 16:30

Re: Updater
 
Quote:

Originally Posted by snelvuur (Post 1619028)
@mckay: the issue is that it has found 1 and i dont want to see a error then for 2 missing.

I think the errors were supposed to go away after updating to SM 1.4, but I've installed all 3 anyway.

Powerlord 12-28-2011 10:21

Re: Updater
 
Quote:

Originally Posted by Dr. McKay (Post 1619064)
I think the errors were supposed to go away after updating to SM 1.4, but I've installed all 3 anyway.

Except they didn't. They only fixed the errors for optional plugins; optional extensions still throw that error.

Maybe we should file another bug or reopen the old one...

asherkin 12-28-2011 10:33

Re: Updater
 
Quote:

Originally Posted by Powerlord (Post 1621024)
Except they didn't. They only fixed the errors for optional plugins; optional extensions still throw that error.

Maybe we should file another bug or reopen the old one...

Only the logged errors were removed, the list output is staying the way it is.


All times are GMT -4. The time now is 20:52.

Powered by vBulletin®
Copyright ©2000 - 2020, vBulletin Solutions, Inc.